\name{intsvy-package}
\alias{intsvy-package}
\alias{intsvy}
\docType{package}
\title{International Assessment Data Manager}
\description{Provides tools for importing, merging, and analysing data from international assessment studies (TIMSS, PIRLS, and PISA)}
\details{
\tabular{ll}{
Package: \tab intsvy\cr
Type: \tab Package\cr
Version: \tab 1.2\cr
Date: \tab 2013-10-27\cr
License: \tab GPL-2\cr
}
intsvy allows useRs to work with data from TIMSS, PIRLS, and PISA. The data is publicly available @ rms.iea-dpc.org and www.oecd.org/pisa in SPSS format. Data and merge functions print variable labels and the name of participating countries in international assessments as well as import data directly into R for the variables in student, parent, school, and teacher instruments and countries selected by the useR. Analysis functions, including mean statistics, standard deviations, regression estimates, correlation coefficients, and frequency tables, calculate point estimates and standard errors that take into account the complex sample design (i.e., replicate weights) and plausible values of achievement scores. 
}

\author{Daniel Caro <daniel.caro@education.ox.ac.uk>}
\references{PISA, PIRLS, and TIMSS Technical Reports}

